@Kent1Cooper wrote:
... might you want to change direction for any of them, and have the newest copy placed both in a different direction and at a different distance from the last copy? ....
If that's the idea, THIS IS NOT "DONE" YET, but it does that:
;| CopyMultSucc.lsp [command name: CMS]
To Copy a selection multiple times in succession, with the location of
each copy being specified relative to that of the previous copy, not to
that of the original selection.
Kent Cooper, 11 March 2021
|;
(defun C:CMS (/ ss bp)
(if
(and
(setq ss (ssget "_:L"))
(setq bp (getpoint "\nBase point of first displacement: "))
); and
(while T
(command
"_.copy" ss "" "0,0" "0,0"
"_.move" ss "" "_non" bp pause
); command
(setq bp (getvar 'lastpoint))
); while
); if
); defun
What it actually does is to Move the original selection around, leaving copies in its wake [including at the original location], so it re-uses the same selection repeatedly. [That's a way of letting it work with multiple-object selection -- if it were always limited to a single object, then Copy could do it, using the Last object for the selection each time.]
The "not done yet" parts? It requires ESCape to end it [you'll get interesting but unintended results if you hit Enter/space when it's asking for a new location, and it will continue to ask again]. And when you do stop it, it leaves two copies of the selection at the last location. It needs some kind of non-ESCape way of concluding so that it can eliminate the duplicate at the end.
But you can specify the new location relative to the previous one in any direction, and by either picking a point or "aiming" and typing in a distance. Because it's working in an ordinary command, Ortho and Osnap settings are honored, and you see what's being Copied dragging as you go. You wouldn't with something like a (getpoint) function for each new location, which is why [I'm not sure without working it out, but] that benefit may be lost in altering it as I'd prefer, to use a prompt with <eXit> as a default option with Enter/space.
Anyway, try it out, and if within its limitations it otherwise does what you're after, further refinement is possible.
Kent Cooper, AIA